# Please DO NOT DISTRIBUTE exercise solutions
#
# country_population_lists.py
# A program to print a listing of country/population records from a file in two different orders


def main():
    country_population_tuples = get_country_population_tuples()

    country_population_tuples.sort()
    print_report(country_population_tuples, 'COUNTRY NAME ORDER')

    country_population_tuples.sort(key=by_population)
    print_report(country_population_tuples, 'POPULATION ORDER')


def get_country_population_tuples():
    infile_name = input('Please enter input file name: ')
    infile = open(infile_name, 'r')
    my_country_population_tuples = []
    for line in infile:
        country, population_as_string = line.split()
        my_country_population_tuples.append(
            (country, int(population_as_string))
        )
    infile.close()
    return my_country_population_tuples


def print_report(these_country_population_tuples, report_title):
    print()
    print(report_title)
    for country_population_tuple in these_country_population_tuples:
        print('{0:<15}{1:>11}'.format(
            country_population_tuple[0], country_population_tuple[1]))


def by_population(country_population_tuple):
    return country_population_tuple[1]


main()
